org.eclipse.actf.model.dom.html

## Class DocumentTypeUtil

- java.lang.Object
- - org.eclipse.actf.model.dom.html.DocumentTypeUtil

    public class DocumentTypeUtil
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`DocumentTypeUtil()`

### Method Summary

Methods
`static String` `getOriginalID(DocumentType docType)`
`static boolean` `isOriginalHTML5(DocumentType docType)`
`static boolean` `isOriginalXHTML(DocumentType docType)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DocumentTypeUtil

    public DocumentTypeUtil()

### Method Detail

#### getOriginalID

    public static String getOriginalID(DocumentType docType)

Parameters:
  `docType` -
Returns:
  original ID if HTML Parser overrides it. If not, it returns usual public/system ID from `DocumentType`. If docType is null, then returns empty string.

#### isOriginalXHTML

    public static boolean isOriginalXHTML(DocumentType docType)

Parameters:
  `docType` -
Returns:
  true if original doctype is a kind of XHTML

#### isOriginalHTML5

    public static boolean isOriginalHTML5(DocumentType docType)

Parameters:
  `docType` -
Returns:
  true if original doctype is a kind of html5 ( <!DOCTYPE html> or <!DOCTYPE html SYSTEM "about:legacy-compat"> )